# $Revision: 1.3.2.1 $, $Date: 2003/03/13 00:58:03 $
#
# Conditional build:
# _without_tests - do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Math
%define		pnam	CDF
Summary:	Math::CDF - probabilities and quantiles for several statistical functions
Summary(pl):	Math::CDF - prawdopodobiestwa i kwantyle dla niektrych funkcji statystycznych
Name:		perl-Math-CDF
Version:	0.1
Release:	1
# non-commercial because of some parts of DCDFLIB
License:	non-commercial
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
Patch0:		%{name}-system-dcdflib.patch
BuildRequires:	dcdflib.c-devel
BuildRequires:	perl >= 5.6
BuildRequires:	rpm-perlprov >= 4.0.2-104
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module provides a Perl interface to the DCDFLIB. Functions are
available for 7 continuous distributions (Beta, Chi-square, F, Gamma,
Normal, Poisson and T-distribution) and for two discrete distributions
(Binomial and Negative Binomial). Optional non-centrality parameters
are available for the Chi-square, F and T-distributions. Cumulative
probabilities are available for all 9 distributions and quantile
functions are available for the 7 continuous distributions.

%description -l pl
Ten modu udostpnia perlowy interfejs do biblioteki DCDFLIB. Dostpne
s funkcje dla 7 rozkadw cigych (Beta, Chi-kwadrat, F, Gamma,
normalnego, Poissona, t Studenta) oraz dwch dyskretnych (dwumianowego
i odwrotnego dwumianowego). Dostpne s opcjonalne parametry
niecentralnoci dla rozkadw Chi-kwadrat, F i t Studenta. Funkcje
rozkadu prawdopodobiestwa s dostpne dla wszystkich 9 rozkadw, a
funkcje kwantyli dla 7 cigych rozkadw.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}
%patch -p1

%build
%{__perl} Makefile.PL
%{__make} OPTIMIZE="%{rpmcflags}"

%{!?_without_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_sitearch}/Math/CDF.pm
%dir %{perl_sitearch}/auto/Math/CDF
%{perl_sitearch}/auto/Math/CDF/CDF.bs
%attr(755,root,root) %{perl_sitearch}/auto/Math/CDF/CDF.so
%{perl_sitearch}/auto/Math/CDF/autosplit.ix
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-Math-CDF.spec,v $
Revision 1.3.2.1  2003/03/13 00:58:03  ankry
- BR: new rpm (new perl.prov), rel++

Revision 1.3  2003/02/25 00:40:16  radek
- use the __perl macro

Revision 1.2  2003/02/18 15:36:24  ankry
- massive attack: change CPAN URLs

Revision 1.1  2002/12/07 00:42:37  qboosh
- new

